package com.ecep.contract.controller.contract;

import com.ecep.contract.controller.tab.AbstEntityBasedTabSkin;
import com.ecep.contract.controller.tab.TabSkin;
import com.ecep.contract.model.Contract;
import com.ecep.contract.service.ContractService;
import com.ecep.contract.vm.ContractViewModel;

public abstract class AbstContractBasedTabSkin
        extends AbstEntityBasedTabSkin<ContractWindowController, Contract, ContractViewModel>
        implements TabSkin {

    public AbstContractBasedTabSkin(ContractWindowController controller) {
        super(controller);
        viewModel = controller.getViewModel();
    }

    public ContractService getContractService() {
        return controller.getViewModelService();
    }
}
